unit SkipLabels;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ppPrnabl, ppClass, ppCtrls, ppBands, ppCache, ppDB, Db,
  DBTables, ppDBPipe, ppComm, ppRelatv, ppProd, ppReport, ppStrtch,
  ppRegion, ppParameter;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ppReport1: TppReport;
    ppDBPipeline1: TppDBPipeline;
    Table1: TTable;
    DataSource1: TDataSource;
    ppHeaderBand1: TppHeaderBand;
    ppDetailBand1: TppDetailBand;
    ppFooterBand1: TppFooterBand;
    ppColumnHeaderBand1: TppColumnHeaderBand;
    ppColumnFooterBand1: TppColumnFooterBand;
    ppDBText1: TppDBText;
    Edit1: TEdit;
    Label1: TLabel;
    ppDBCalc1: TppDBCalc;
    ppRegion1: TppRegion;
    procedure Button1Click(Sender: TObject);
    procedure ppDetailBand1BeforePrint(Sender: TObject);
    procedure ppDetailBand1AfterPrint(Sender: TObject);
  private
    FSkip: Integer;
    FSkippedSoFar: Integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  FSkip := StrToInt(Edit1.Text);
  FSkippedSoFar := 0;

  ppRegion1.Visible := False;
  ppReport1.Print;
end;

procedure TForm1.ppDetailBand1BeforePrint(Sender: TObject);
begin
  if (FSkippedSoFar = FSkip) then
    begin
      Table1.Active := False;
      Table1.Active := True;

      ppRegion1.Visible := True;
    end;
end;

procedure TForm1.ppDetailBand1AfterPrint(Sender: TObject);
begin
  Inc(FSkippedSoFar)
end;

end.
